Skip to content
Navigation

Search persons

GET
https://api.sureshake.com/v2/entities/{id}/personnel/search-persons

Path parameters

  • id
    string
    required
    format: uuid

Query parameters

  • query
    string
    required
    minLength: 2

Returns

200

Default Response

JSON
  • personEntities
    array of
    object
    required
    • id
      string
      required
      format: uuid
    • name
      string
      required
    • email
      string
      or null
      required
    • phone
      string
      or null
      required
    • linkedUserId
      string
      or null
      required
    • logoUrl
      string
      or null
      required
    • entityType
      string
      required
  • platformUsers
    array of
    object
    required
    • id
      string
      required
    • name
      string
      or null
      required
    • email
      string
      or null
      required
    • profileImageUrl
      string
      or null
      required
    • createdAt
      string
      required

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close